YY-Guard 1.0.1.2

Requires NuGet 2.5 or higher.

dotnet add package YY-Guard --version 1.0.1.2
NuGet\Install-Package YY-Guard -Version 1.0.1.2
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="YY-Guard" Version="1.0.1.2" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add YY-Guard --version 1.0.1.2
#r "nuget: YY-Guard, 1.0.1.2"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install YY-Guard as a Cake Addin
#addin nuget:?package=YY-Guard&version=1.0.1.2

// Install YY-Guard as a Cake Tool
#tool nuget:?package=YY-Guard&version=1.0.1.2

功能 —— 有效缓解DLL劫持攻击
我们知道,加载dll时是有搜索顺序的,具体顺序可以参考MSDN —— dynamic-link-library-search-order。

这个顺序给我们提供便利的同时也引入了安全隐患,比如的程序根目录放上修改版的 version.dll、msimg32.dll或者其他。如果你的程序直接或者间接的依赖了这些dll,那么极有可能被劫持。

Product Compatible and additional computed target framework versions.
native native is compatible. 
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

This package has no dependencies.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.1.2 567 7/27/2020
1.0.1.1 397 7/13/2020
1.0.0.2 458 12/20/2019

* 解决Bug,解决Windows XP兼容性问题。